> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke

> Revoke a pending invitation.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/local-directory-configs/{directory_app_id}/invitations/{id}/revoke
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/local-directory-configs/{directory_app_id}/invitations/{id}/revoke:
    post:
      tags:
        - Local Directory
      summary: Revoke
      description: Revoke a pending invitation.
      operationId: c1.api.local_directory.v1.LocalUserInvitationService.Revoke
      parameters:
        - in: path
          name: directory_app_id
          required: true
          schema:
            description: The directoryAppId field.
            readOnly: false
            type: string
        - in: path
          name: id
          required: true
          schema:
            description: The id field.
            readOnly: false
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.local_directory.v1.LocalUserInvitationServiceRevokeRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.local_directory.v1.LocalUserInvitationServiceRevokeResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: Revoke
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.LocalUserInvitation.Revoke(ctx, operations.C1APILocalDirectoryV1LocalUserInvitationServiceRevokeRequest{\n        DirectoryAppID: \"<id>\",\n        ID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.LocalUserInvitationServiceRevokeResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.localUserInvitation.revoke({
                directoryAppId: "<id>",
                id: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.local_directory.v1.LocalUserInvitationServiceRevokeRequestInput:
      description: The LocalUserInvitationServiceRevokeRequest message.
      title: Local User Invitation Service Revoke Request
      type: object
      x-speakeasy-name-override: LocalUserInvitationServiceRevokeRequest
    c1.api.local_directory.v1.LocalUserInvitationServiceRevokeResponse:
      description: The LocalUserInvitationServiceRevokeResponse message.
      properties:
        invitation:
          $ref: '#/components/schemas/c1.api.local_directory.v1.LocalUserInvitation'
      title: Local User Invitation Service Revoke Response
      type: object
      x-speakeasy-name-override: LocalUserInvitationServiceRevokeResponse
    c1.api.local_directory.v1.LocalUserInvitation:
      description: >-
        LocalUserInvitation is the public representation of a per-directory user
        invitation.
      properties:
        acceptedAt:
          format: date-time
          readOnly: true
          type: string
        createdAt:
          format: date-time
          readOnly: true
          type: string
        createdUserId:
          description: Set when status = ACCEPTED. FK to the created User. Read-only.
          readOnly: true
          type: string
        directoryAppId:
          description: >-
            FK to the LocalDirectoryConfig (app_id) this invitation belongs to.
            Read-only after creation.
          readOnly: true
          type: string
        displayName:
          description: Display name to pre-populate on the new user account.
          readOnly: false
          type: string
        email:
          description: Email address the invitation was sent to.
          readOnly: false
          type: string
        expiresAt:
          format: date-time
          readOnly: true
          type: string
        id:
          description: Unique KSUID identifier. Read-only.
          readOnly: true
          type: string
        initialRoleIds:
          description: Optional initial role IDs to assign to the user upon acceptance.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        invitedByUserId:
          description: FK to the User who created the invitation. Read-only.
          readOnly: true
          type: string
        jobId:
          description: Optional FK to a ThirdPartyJob.
          readOnly: false
          type: string
        onboardingFlowId:
          description: Optional onboarding flow override for this invitation.
          readOnly: false
          type: string
        purpose:
          description: Human-readable reason this user was invited.
          readOnly: false
          type: string
        sponsorUserId:
          description: Optional sponsor User override for this invitation.
          readOnly: false
          type: string
        status:
          description: Current lifecycle status. Read-only.
          enum:
            - LOCAL_INVITATION_STATUS_UNSPECIFIED
            - LOCAL_INVITATION_STATUS_PENDING
            - LOCAL_INVITATION_STATUS_ACCEPTED
            - LOCAL_INVITATION_STATUS_REVOKED
            - LOCAL_INVITATION_STATUS_EXPIRED
          readOnly: true
          type: string
          x-speakeasy-unknown-values: allow
        updatedAt:
          format: date-time
          readOnly: true
          type: string
      title: Local User Invitation
      type: object
      x-speakeasy-name-override: LocalUserInvitation
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````